Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

SOLVED
Go to solution
Ashraf El Gabry
Frequent Advisor

Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

Hello,

We have tried to install the DP5.5 in openVMS7.3-2 and we getting the following error.

%PCSI-E-EXESTAFAIL, product supplied EXECUTE START procedure failed
-CLI-W-IVVERB, unrecognized command verb - check validity and spelling
%PCSI-E-OPFAILED, operation failed

We use privilege user and binary FTP

Your help will be appreciated.

Thanks in advance.

Best regards,

Ashraf El Gabry
9 REPLIES
Karl Rohwedder
Honored Contributor

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

Perhaps the installation creates a new DCL-verb and misses to activate it for the current process (SET COMMAND...).
Pls. logout and login again any try to call the startup routine for the product manually.

regards Kalle
Richard Whalen
Honored Contributor

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

What TCP/IP stack are you using?
Data Protector assumes HP's TCP/IP Services is present and the start up procedure contains TCPIP commands.
GuentherF
Trusted Contributor

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

This might be just a problem in the RUN procedure where the developer assumed DP was installed before and all its VERBs are available. And in this case DP was never installed before.

I would assume the product installed just fine. Try it out!

/Guenther
Ana M. García Olivencia
Regular Advisor

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

Hi Ashraf.

You can repeat the installation using the /TRACE qualifier of the PRODUCT INSTALL command. According to the help, this qualifier

"identifies DCL commands and command procedures that are run in a subprocess during the execution of the PRODUCT command. Any output from these commands is also displayed."

Hope this helps.

Regards.

Ana

Ashraf El Gabry
Frequent Advisor

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

Hi and Happy New Year,

We are using MultiNet V4.3 Rev A instead of UCX. As far as we understand from the OMNI$STARTUP.COM that it is using UCX command instead of the MultiNet stack. What is the equivalent commands for the MultiNet?

Best regards.

Ashraf
Steven Schweda
Honored Contributor

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

> What is the equivalent commands for the MultiNet?

If you revealed what the commands are, you
might get more information back.
Richard Whalen
Honored Contributor
Solution

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

The following set of instruction will yield an equivalent service configuration to what Data Protector uses with UCX:
$ multinet configure/server
MultiNet Server Configuration Utility Vn.n
[Reading in configuration from MULTINET:SERVICES.MASTER_SERVER]
SERVER-CONFIG>add omni
[Adding new configuration entry for service "OMNI"]
Protocol: [TCP]
TCP Port number: 5555
Program to run: OMNI$ROOT:[BIN]OMNI$STARTUP_INET.COM
[Added service OMNI to configuration]
[Selected service is now OMNI]
SERVER-CONFIG>sel omni
[The Selected SERVER entry is now OMNI]
SERVER-CONFIG>set flag ucx_server
[OMNI flags set to ]
SERVER-CONFIG>sho omni
Service Proto Port Action
------- ----- ---- ------
OMNI TCP 5555 Run Program OMNI$ROOT:[BIN]OMNI$STARTUP_INET.COM

SERVER-CONFIG>sho omni/full
Service "OMNI":
TCP socket (AF_INET,SOCK_STREAM), Port 5555
Socket Options = SO_KEEPALIVE
Flags = UCX_SERVER
INIT() = TCP_Init
LISTEN() = TCP_Listen
CONNECTED() = TCP_Connected
SERVICE() = Run_Program
Program = "OMNI$ROOT:[BIN]OMNI$STARTUP_INET.COM"
SERVER-CONFIG>write
SERVER-CONFIG>exit

Ashraf El Gabry
Frequent Advisor

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

Hi,

Thanks a lot for all of you and special thanks to Richard Whalen. The Data Protected now installed in our Open VMS server. The thread now is closed.

Best regards.

Ashraf El Gabry
Ashraf El Gabry
Frequent Advisor

Re: Problem with installing Data Protect 5.5 on OpenVMS 7.3-2

Thanks.